Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CreateNewSupergroupChat

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Chat>
it.tdlight.jni.TdApi.CreateNewSupergroupChat

Enclosing class:
  TdApi

public static final class TdApi.CreateNewSupergroupChat extends TdApi.Function<TdApi.Chat>
Creates a new supergroup or channel and sends a corresponding messageSupergroupChatCreate. Returns the newly created chat.

Returns `Chat`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`description`
Chat description; 0-255 characters.
`boolean`
`forImport`
Pass true to create a supergroup for importing messages using importMessages.
`boolean`
`isChannel`
Pass true to create a channel chat; ignored if a forum is created.
`boolean`
`isForum`
Pass true to create a forum supergroup chat.
`TdApi.ChatLocation`
`location`
Chat location if a location-based supergroup is being created; pass null to create an ordinary supergroup chat.
`int`
`messageAutoDeleteTime`
Message auto-delete time value, in seconds; must be from 0 up to 365 * 86400 and be divisible by 86400.
`String`
`title`
Title of the new chat; 1-128 characters.

## Constructor Summary

Constructors
Constructor
Description
`CreateNewSupergroupChat()`
Creates a new supergroup or channel and sends a corresponding messageSupergroupChatCreate.
`CreateNewSupergroupChat(DataInput input)`
Creates a new supergroup or channel and sends a corresponding messageSupergroupChatCreate.
`CreateNewSupergroupChat(String title, boolean isForum, boolean isChannel, String description, TdApi.ChatLocation location, int messageAutoDeleteTime, boolean forImport)`
Creates a new supergroup or channel and sends a corresponding messageSupergroupChatCreate.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### title

public String title
Title of the new chat; 1-128 characters.

### isForum

public boolean isForum
Pass true to create a forum supergroup chat.

### isChannel

public boolean isChannel
Pass true to create a channel chat; ignored if a forum is created.

### description

public String description
Chat description; 0-255 characters.

### location

public TdApi.ChatLocation location
Chat location if a location-based supergroup is being created; pass null to create an ordinary supergroup chat.

### messageAutoDeleteTime

public int messageAutoDeleteTime
Message auto-delete time value, in seconds; must be from 0 up to 365 * 86400 and be divisible by 86400. If 0, then messages aren't deleted automatically.

### forImport

public boolean forImport
Pass true to create a supergroup for importing messages using importMessages.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### CreateNewSupergroupChat

public CreateNewSupergroupChat()
Creates a new supergroup or channel and sends a corresponding messageSupergroupChatCreate. Returns the newly created chat.

Returns `Chat`

### CreateNewSupergroupChat

public CreateNewSupergroupChat(String title, boolean isForum, boolean isChannel, String description, TdApi.ChatLocation location, int messageAutoDeleteTime, boolean forImport)
Creates a new supergroup or channel and sends a corresponding messageSupergroupChatCreate. Returns the newly created chat.

Returns `Chat`

Parameters:
  `title` - Title of the new chat; 1-128 characters.
  `isForum` - Pass true to create a forum supergroup chat.
  `isChannel` - Pass true to create a channel chat; ignored if a forum is created.
  `description` - Chat description; 0-255 characters.
  `location` - Chat location if a location-based supergroup is being created; pass null to create an ordinary supergroup chat.
  `messageAutoDeleteTime` - Message auto-delete time value, in seconds; must be from 0 up to 365 * 86400 and be divisible by 86400. If 0, then messages aren't deleted automatically.
  `forImport` - Pass true to create a supergroup for importing messages using importMessages.

  Returns `Chat`

### CreateNewSupergroupChat

public CreateNewSupergroupChat(DataInput input) throws IOException
Creates a new supergroup or channel and sends a corresponding messageSupergroupChatCreate. Returns the newly created chat.

Returns `Chat`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`